\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 2D and 3D Linear Geometry Kernel

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Functions
CGAL::compare_slopes()
Global Kernel Functions

##

## Functions
template<typename Kernel >
Comparison_result | CGAL::compare_slopes (const CGAL::Line_2< Kernel > &l1, const CGAL::Line_2< Kernel > &l2)
| compares the slopes of the lines `l1` and `l2`
template<typename Kernel >
Comparison_result | CGAL::compare_slopes (const CGAL::Segment_2< Kernel > &s1, const CGAL::Segment_2< Kernel > &s2)
| compares the slopes of the segments `s1` and `s2`